/*

  imho_bosnian.pike v0.1 for IMHO v0.98.2
  
  Copyright  
  Admir Hercinovic <hercho@brcko.org> 2001
  
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  See the file "LICENSE" for details.

*/

// Messages
//
//login
#define M_LOGIN 1
#define M_PASSWORD 2
#define M_NOLOGIN 3
#define M_IMAPERROR 10
#define M_SMTPERROR 11
#define M_SAVEDUSERINTERFACE 12
#define M_USERINTERFACE 13
#define M_LOGIN_OK 14
// page header
#define M_NEWMAIL 50
#define M_MAILBOX 51
#define M_MAILBOXES 52
#define M_FILES 53
#define M_PREFS 54
#define M_LOGOUT 55
#define M_CURRMAILBOX 56
#define M_CHECKACTIVEMAILBOXES 57
// compose
#define M_SEND 100
#define M_CANCELSEND 101
#define M_SENDMOREFILES 102
#define M_COMPOSEMAIL 103
#define M_SPELLCHECK 104
#define M_DONTSAVEMAIL 105
#define M_ADDFILEASATTACHMENT 106
#define M_NOATTACHMENTS 107
#define M_ADDATTACHMENT 108
#define M_REMOVEMARKEDATTACHMENTS 109
#define M_UPLOADATTACHMENT 110
#define M_ADDMARKEDTOATTACHMENTS 111
#define M_UPLOADTOATTACHMENTS 112
#define M_BACKTOCOMPOSE 113
#define M_NOATTACHFILES 114
#define M_ATTACHMENTSHEADER 115
#define M_SENDSAVEFAILED 116
#define M_SENDNORECV 117
#define M_DSN_DELAY 118
#define M_DSN_SUCCESS 119
#define M_SAVEDRAFT 120
#define M_SAVEDRAFTINSESSION 121
#define M_COMPOSEDRAFT 122
#define M_DRAFTEXISTS 123
#define M_OVERWRITEDRAFT 124
#define M_DISCARDDRAFT 125
#define M_SENDBROKENADDR 126
#define M_SAVEMAILCOPY 127
// mailindex
#define M_DELETEMARKED 200
#define M_MOVEMARKED 201
#define M_SELECTMBOX 202
#define M_CHECKNEWMAIL 203
#define M_MAILSHOWN 204
#define M_BACKN 205
#define M_FORWARDN 206
#define M_NUMBER 207
#define M_DELETEMARKEDP 208
#define M_DELETEMARKEDNONE 209
#define M_CHANGESORTORDER 210
#define M_MOVETOTRASH 211
#define M_DELETEALLTRASH 212
#define M_NOMAILS 213
#define M_MARKALL 214
// mailboxlist
#define M_MBOXNAME 300
#define M_DELETEMARKEDMBOX 301
#define M_CREATEMBOX 302
#define M_NEWMBOXNAME 303
#define M_MBOXREMOVEP 350
#define M_MBOXMARKONE 351
#define M_NEWMBOXNONAME 352
#define M_CREATEMBOXERROR 353
#define M_INBOX 354
#define M_PREVIOUS_LEVEL 355
#define M_FOLDER_PATH 356
#define M_BOXTRASH 357
#define M_BOXSENTMAIL 358
#define M_USEMARKEDINMENULIST 359
#define M_CHANGEINBOXESMSG 360
// files
#define M_FILENAME 400
#define M_SIZE 401
#define M_MIMETYPE 402
#define M_DELETEMARKEDFILES 403
#define M_UPLOAD 404
#define M_AVAILSPACE 405
#define M_WINDOWSBUG 406
#define M_NOFILES 407
// preferences
#define M_PNAME 500
#define M_PMAILADDRESS 501
#define M_PMAILPATH 502
#define M_PINCLUDEMAIL 503
#define M_PQUOTEPREFIX 504
#define M_PSIGNATURE 505
#define M_PINACTIVELOGOUT 506
#define M_PSAVEANDUSE 550
#define M_PVISIBLEMESSAGES 507
#define M_PSORTORDER 508
#define M_PSORTORDERS 509
#define M_PTRASHFOLDER 510
#define M_PSENTFOLDER 511
#define M_PDEFAULTBCC 512
#define M_PSAVEATTACHMENTS 513
#define M_PLANGUAGE 514
#define M_PUSERINTERFACE 515
#define M_PINBOXES 516
#define M_PCOMMASEPARATED 517
#define M_PHEADER 518
#define M_PHEADERDESC 519
#define M_PSORTCOLUMN 520
#define M_PSHOWHTML 521
#define M_PSHOWHIDDENHEADERS 522
// logout
#define M_LOGOUTMSG 600
#define M_LOGGEDOUT 601
// dialog
#define M_QUESTION 700
#define M_INFO 701
// readmail
#define M_REPLY 800
#define M_READPREV 801
#define M_READNEXT 802
#define M_ATTACHMENTLINK 803
#define M_MAILMISSING 804
#define M_MAILMISSINGBACK 805
#define M_DELETE 806
#define M_FORWARD 807
#define M_MAIL 808
#define M_SHOWFULLHEADERS 809
#define M_HIDEFULLHEADERS 810
#define M_MAILTOOBIG 811
#define M_REPLYTOALL 812
#define M_MOVETHISTOTRASH 813
#define M_CHARSETWARNING 814
//spellcheck
#define M_SPELLDONE 900
#define M_SPELLPREV 901
#define M_SPELLNEXT 902
#define M_SPELLCHANGETO 903
#define M_SPELLSUGGESTIONS 904
// mailheaders
#define M_FROM 1000
#define M_TO 1001
#define M_CC 1002
#define M_BCC 1003
#define M_SUBJECT 1004
#define M_ATTACHMENTS 1005
#define M_TIME 1006
#define M_DATE 1007
// table heads
#define M_MARKFLAG 1100
#define M_NEWFLAG 1101
#define M_ANSWEREDFLAG 1102
// address book
#define M_ADDRESSBOOKTITLE 1200
#define M_ADDRESSBOOK 1201
#define M_INDEXNAMERECIPIENT 1202
#define M_INDEXNAMEEDIT 1203
#define M_ADDRESS 1204
#define M_NOADDRESSES 1205
#define M_NEWADDRESS 1206
#define M_EDITADDRESS 1207
#define M_ADDADDRESS 1208
#define M_INDEXNAME 1209
#define M_ADDRESSFORMAT 1210
#define M_SAVEADDRESS 1211
#define M_DELETEADDRESS 1212
#define M_CANCELADDRESS 1213
#define M_CANNOTIMPORT 1214
#define M_IMPORTADDRESSBOOKTITLE 1215
#define M_UPLOADADDRESSBOOK 1216
#define M_PINELOCATION 1217
#define M_UPLOADANDIMPORT 1218
#define M_IMPORTADDRESSBOOK 1219
#define M_GLOBALADDRESSES 1220
#define M_INSERTMARKEDADDRESSES 1221
#define M_DELETEMARKEDADDRESSES 1222
//ldap support
#define M_LDAPTITLE 1300
#define M_LDAP 1301
#define M_SEARCHLDAP 1302
#define M_NAMECONT 1303
#define M_OU 1304
// mail notification
#define M_MAILNOTIFYWINDOW 1400
#define M_GETNEWMAIL 1401
// search mail
#define M_SEARCHMAILTITLE 1500
#define M_SEARCHMAIL 1501
#define M_SEARCHMAILBOX 1502
#define M_SEARCHANYWHERE 1503
#define M_SEARCHFROMFIELD 1504
#define M_SEARCHTOFIELD 1505
#define M_SEARCHSUBJECT 1506
#define M_SEARCHBODY 1507
#define M_SEARCHAND 1508
#define M_SEARCHSHOWINGMAIL 1509
// general
#define M_YES 2000
#define M_NO 2001
#define M_DIALOGOK 2002
#define M_DIALOGCANCEL 2003

string imho_lang() {
  return "bosanski";
}

string imho_lang_short() {
  return "ba";
}

string imho_lang_charset() {
  return "iso-8859-2";
}

string msg(object sessobj,int m,array arg) {
  switch(m) {
    
    // Login page
    
  case M_LOGIN:
    //return "Login:";
    return "Korisnik:";
  case M_PASSWORD:
    //return "Password:";
    return "Lozinka:";
  case M_NOLOGIN:
    //return "<b>Could not log in:</b> Wrong login or password. Try again. ";
    return "<b>Pogreni podaci:</b> Korisnicki podaci neispravni. Pokuajte ponovo. ";
  case M_IMAPERROR:
    //return "There was a problem talking to the mail (IMAP) server. Please contact the administrator.";
    return "Pojavila se greka u komunikaciji sa mail- (IMAP) serverom. Kontaktirajte administratora.";
  case M_SMTPERROR:
    //return "There was a problem talking to the outgoing mail (SMTP) server. The recipient of the mail might not exist.";
    return "Poruka nije poslana jer se pojavila greka u komunikaciji sa izlaznim mail serverom (SMTP). Postoji mogucnost da navedeni primalac ne postoji.";
  case M_SAVEDUSERINTERFACE:
    //return "From preferences";
    return "Sa podeavanjima";
  case M_USERINTERFACE:
    //return "User interface:";
    return "Korisnicki zaslon:";
  case M_LOGIN_OK:
    //return "OK";
    return "OK";

  case M_NEWMAIL:
    //return "Compose";
    return "Pisanje nove poruke";
  case M_MAILBOX:
    //return sprintf("Mailbox: %s",@arg);
    return sprintf("Potanski pregradak: %s",@arg);
  case M_MAILBOXES:
    //return "Mailboxes";
    return "Potanski pregratci";
  case M_FILES:
    //return "Files";
    return "Fajlovi";
  case M_PREFS:
    //return "Preferences";
    return "Podeavanja";
  case M_LOGOUT:
    //return "Logout";
    return "Izlaz";
  case M_CURRMAILBOX:
    // return "Current Mailbox";
    return "Trenutni pregradak";
  case M_CHECKACTIVEMAILBOXES:
    // return "Check active mailboxes";
    return "Pregledaj aktivne pregratke";

  case M_FROM:
    //return "From";
    return "alje";
  case M_TO:
    //return "To";
    return "Prima";
  case M_CC:
    //return "Cc";
    return "Cc";
  case M_BCC:
    //return "Bcc";
    return "Bcc";
  case M_SUBJECT:
    //return "Subject";
    return "Naslov";
  case M_ATTACHMENTS:
    //return "Attachments";
    return "Prilozi";
  case M_TIME:
    //return "Time";
    return "Vrijeme";
  case M_DATE:
    //return "Date";
    return "Datum";
    
  case  M_MARKFLAG:
    //return "M";
    return "M";
  case M_NEWFLAG:
    //return "N";
    return "N";
  case M_ANSWEREDFLAG:
    //return "A";
    return "O";
    
    
  case M_SEND:
    //return "Send";
    return "Poalji";
  case M_CANCELSEND:
    //return "Cancel";
    return "Obustavi";
  case M_SENDMOREFILES:
    //return "Select files to send. Press 'Ctrl' to toggle-select multiple files.";
    return "Markirajte fajlove koje elite priloiti. Stisnite 'Ctrl' da markirate vie fajlova.";
  case M_COMPOSEMAIL:
    //return "Compose mail";
    return "Pisanje poruke";
  case M_SPELLCHECK:
    return "Kontrola pravopisa";
  case M_DONTSAVEMAIL:
    //return "Do not save this mail.";
    return "Nemoj cuvati ovu poruku.";
  case M_ADDFILEASATTACHMENT:
    //return "Add file as attachment";
    return "Ucitaj fajl za prilog";
  case M_NOATTACHMENTS:
    //return "No attachments";
    return "Bez priloga";
  case M_ADDATTACHMENT:
    //return "Add attachment...";
    return "Ucitaj prilog...";
  case M_REMOVEMARKEDATTACHMENTS:
    //return "Remove marked attachments";
    return "Ukloni markirane priloge";
  case M_UPLOADATTACHMENT:
    //return "Upload attachment";
    return "Prikai prilog";
  case M_ADDMARKEDTOATTACHMENTS:
    //return "Add marked to attachments";
    return "Ucitaj markirano kao prilog";
  case M_UPLOADTOATTACHMENTS:
    //return "Upload to attachments";
    return "Prikaci priloge";
  case M_BACKTOCOMPOSE:
    //return "Back to compose";
    return "Nazad na pisanje poruke";
  case M_NOATTACHFILES:
    //return "No files";
    return "Nema fajlova";
  case  M_ATTACHMENTSHEADER:
    return "Prilozi";
  case M_SENDSAVEFAILED:
    //return "Mail was sent successfully, but save in folder failed.";
    return "Poruka je poslana, ali nije sacuvana u pregratku.";
  case M_SENDNORECV:
    //return "You must specify a recipient of the mail.";
    return "Morate navesti primaoca poruke.";
  case M_DSN_DELAY:
    //return("Report delayed delivery.");
    return "Obavijest o zakanjeloj isporuci.";
  case M_DSN_SUCCESS:
    // return("Report successful delivery.");
    return "Potvrda prijema poruke.";
  case M_SAVEDRAFT:
    //return("Save draft");
    return("Sacuvaj neisporucene poruke");
  case M_SAVEDRAFTINSESSION:
    //return("Save draft (during session)");
    return("Sacuvaj neisporucene poruke (trenutna aktivnost)");
  case M_COMPOSEDRAFT:
    //return("You have a draft mail saved. Do you want to start from it now?");
    return("Imate sacuvane neisporucene poruke. elite li ih poslati sada?");
  case M_DRAFTEXISTS:
    // return("There is already another draft mail saved.");
    return("Postoje vec sacuvane neisporucene poruke.");
  case M_OVERWRITEDRAFT:
    //return("Owerwrite current draft");
    return("Zapii preko postojecih");
  case M_DISCARDDRAFT:
    //return("Discard current mail, keep draft");
    return("Baci trenutnu poruku. Sacuvaj neisporucene"); 
  case M_SENDBROKENADDR:
    //return(sprintf("The address \"%s\" is not a correct email address. Please correct it and try again.", arg[0]));
    return(sprintf("Adresa \"%s\" nije tacna. Ispravite greku i pokuajte ponovo.", arg[0])); 
  case M_SAVEMAILCOPY:
    //return("Save a copy");  
    return("Sacuvaj kopiju");

  case M_DELETEMARKED:
    //return "Delete marked";
    return "Izbrii markirano";
  case M_MOVEMARKED:
    //return "Move marked to";
    return "Prebaci markirano u";
  case M_SELECTMBOX:
    //return "(Select a mailbox)";
    return "(Odaberi pregradak)";
  case M_CHECKNEWMAIL:
    //return "Check for new mail";
    return "Kontrola nove pote";
  case M_MAILSHOWN:
    // return sprintf("Mail %d-%d of %d", @arg);
    return sprintf("Poruka %d-%d od %d", @arg);
  case M_BACKN:
    //return sprintf("[<< Prev %d]", @arg);
    return sprintf("[<< Prethodna %d]", @arg);
  case M_FORWARDN:
    // return sprintf("[Next %d >>]", @arg);
    return sprintf("[Sljedeca %d >>]", @arg);
  case M_NUMBER:
    return "#";
  case M_DELETEMARKEDP:
    //sprintf("Are you sure you want to delete the %d marked message(s)?", 
    return 
      sprintf("Jeste li sigurni da elite izbrisati %d markiranu poruku?", 
	      @arg);
  case M_DELETEMARKEDNONE:
    //return "Please mark some messages first.";
    return "Markirajte prvo neku od poruka.";
  case M_CHANGESORTORDER:
    //return "Change sort order";
    return "Izmijena nacina sortiranja";
  case M_MOVETOTRASH:
    //return "Move marked to trash";
    return "Baci markirano u kantu";
  case M_DELETEALLTRASH:
    //return "Delete ALL trash";
    return "Isprazni kantu";
  case M_NOMAILS:
    // return "[No mail]";
    return "[Nema poruka]";
  case M_MARKALL:
    //return "Mark all";
    return "Markiraj sve";

  case M_MBOXNAME:
    //return "Mailbox";
    return "Pregradak";
  case M_DELETEMARKEDMBOX:
    //return "Delete marked";
    return "Izbrii markirano";
  case M_CREATEMBOX:
    //return "Create a new mailbox";
    return "Napravi novi pregradak";
  case M_NEWMBOXNAME:
    //return "(Name)";
    return "(Naziv)";
  case M_MBOXREMOVEP:
    //return "Are you sure you want to delete the following mailboxes?";
    return "Jeste li sigurni da elite ukloniti navedeni pregradak?";
  case M_MBOXMARKONE:
    //return "Mark at least one mailbox.";
    return "Markirajte najmanje jedan pregradak.";    
  case M_NEWMBOXNONAME:
    // return "Type in a name first.";
    return "Napiite naziv pregratka..";
  case M_CREATEMBOXERROR:
    //return "Failed to create mailbox. The name may be illegal or the mailbox may exist.";
    return "Nije moguce napraviti pregradak. Naziv nije dozvoljen ili pregradak moda vec postoji.";
  case M_INBOX:
    //return "Inbox";
    return "Nova pota";
  case M_PREVIOUS_LEVEL:
    //return "[Previous level]";
    return "[Prethodni nivo]";
  case M_FOLDER_PATH:
    //return "Path:";
    return "Lokacija:";
  case M_BOXTRASH:
    //return "Trash";
    return("Kanta");
  case M_BOXSENTMAIL:
    //return "Sent";
    return("Isporuceno");
  case M_USEMARKEDINMENULIST:
    //return "Use marked in menu list";
    return "Koristi markirano u meniju";
  case M_CHANGEINBOXESMSG:
    // return "The marked mailboxes will appear in the menu after you\n"
    // "reload the whole page or re-login.";
    return "Markirani pregratci ce se vidjeti u meniju ako \n"
      "obnovite, refreshirate stranicu i ponovo se ulogujete.";

  case M_FILENAME:
    //return "Filename";
    return "Naziv fajla";
  case M_SIZE:
    //return "Size";
    return "Velicina";
  case M_MIMETYPE:
    //return "Type";
    return "Vrsta";
  case M_DELETEMARKEDFILES:
    //return "Delete marked";
    return "Izbrii markirano";
  case M_UPLOAD:
    //return "Upload";
    return "Prikaci";
  case M_AVAILSPACE:
    //return sprintf("You have %d Kb available for upload.",@arg);
    return sprintf("Imate %d Kb dostupnih za fajlove.",@arg);
  case M_WINDOWSBUG :
    //return "Windowsusers: Due to a bug in some browsers, filenames can be crippled. Avoid this by replacing the last \\ with \\\\ before pressing 'Upload'.";
    return "Windows korisnici: Zbog greke u mnogim browserima postoji mogucnost da fajlovi imaju cudne nazive. To cete izbjeci tako to cete zamijeniti zadnje '\\' sa '\\\\' prije nego kliknete na 'Prikaci'.";
  case M_NOFILES:
    //return "You have no uploades files.";
    return "Nemate prikacenih fajlova.";

  case M_PNAME:
    //return "Name";
    return "Ime";
  case M_PMAILADDRESS:
    //return "Mail address";
    return "E-mail adresa";
  case M_PMAILPATH:
    //return "Mail searchpath";
    return "Katalog";
  case M_PINCLUDEMAIL:
    //return "Include mail when replying";
    return "Ubaci tekst poruke u odgovor";
  case M_PQUOTEPREFIX :
    //return "Prefix";
    return "Prefix";
  case M_PSIGNATURE:
    //return "Signature";
    return "Potpis";
  case M_PINACTIVELOGOUT:
    //return "Inactive logout (minutes)";
    return "Neaktivnost-izlaz (minute)";
  case M_PSAVEANDUSE:
    //return "Save and use";
    return "Sacuvaj i koristi";
  case M_PVISIBLEMESSAGES:
    //return "Messages shown in mailbox";
    return "Procitane poruke";
  case M_PSORTORDER:
    //return "Mail sort order";
    return "Sortiranje poruka";
  case M_PSORTORDERS:
    //return ([ "forward": "forward", "backward":"backward"])[arg[0]];
    return ([ "forward": "naprijed", "backward":"nazad"])[arg[0]];
  case M_PTRASHFOLDER:
    //return "Trash folder";
    return "Katna-Smece";
  case M_PSENTFOLDER:
    //return "Sent mail folder";
    return "Isporucene poruke";
  case M_PDEFAULTBCC:
    //return "Default Bcc address";
    return "Standardna Bcc adresa";
  case M_PSAVEATTACHMENTS:
    //return "Save attachments";
    return "Sacuvaj priloge";
  case M_PLANGUAGE:
    //return "Language";
    return "Jezik";
  case M_PUSERINTERFACE:
    //return "User interface";
    return "Korisnicki zaslon";
  case M_PINBOXES:
    //return "Inboxes";
    return "Potanski pregratci";
  case M_PCOMMASEPARATED: 
    //return "(Comma separated list of mailboxes)";
    return "(Zarezom odvojena lista, \"lda1, lda2, ...\")";
  case M_PHEADER:
    //return "Extra headers";
    return "Dodatna zaglavlja";
  case M_PHEADERDESC:
    //return "(Lines with headers in this format: header:value )";
    return "(Zaglavlja u formatu: header:vrijednost )";
  case M_PSORTCOLUMN:
    //return "Sort on column";
    return("Sortiraj po stupcima");
  case M_PSHOWHTML:
    // return "Show HTML messages";
    return("Pokai HTML-poruku");
  case M_PSHOWHIDDENHEADERS:
    //return "Enable <i>\"Show full headers\"</i>-button";
    return("\"Pokai cijela zaglavlja\"-dugme");

  case M_SPELLDONE:
    //return "Done";
    return "Gotovo";
  case M_SPELLPREV:
    //return "Previous";
    return "Prethodno";
  case M_SPELLNEXT:
    //return "Next";
    return "Sljedece";
  case  M_SPELLCHANGETO:
    //return "Change to";
    return "Zamijeni za";
  case M_SPELLSUGGESTIONS:
    //return "Suggestions";
    return "Prijedlozi";

  case M_LOGOUTMSG:
    //return "You are logged out. Close this browser window to make sure no one can read your mail.<br><br>Reload this page to login.";
    return "Izali ste. Zatvorite ovaj prozor da bi bili sigurni da niko ne moe vidjeti vae poruke.<br><br>Obnovite stranicu za ponovni ulaz.";
  case M_LOGGEDOUT:
    //return "Logged out";
    return "Izali ste";

  case M_QUESTION:
    //return "Question"; 
    return "Pitanje";
  case M_INFO:
    //return "Info"; 
    return "Info";

  case M_REPLY:
    //return "Reply";
    return "Odgovor";
  case M_READPREV:
    //return "Read previous";
    return "Citanje prethodne";
  case M_READNEXT:
    //return "Read next";
    return "Citanje sljedece";
  case M_ATTACHMENTLINK:
    //return sprintf("%sattachment of type %s",@arg);
    return sprintf("%sprilog vrste %s",@arg);
  case M_MAILMISSING:
    //return "<b>Error:</b> Failed to fetch mail. Try again. <br>";
    return "<b>Fel:</b> Poruka nije pronadena. Pokuajte ponovo.<br>";
  case M_MAILMISSINGBACK:
    //return "Back";
    return "Nazad";
  case M_DELETE:
    //return "Delete";
    return "Izbrii";
  case M_FORWARD:
    //return "Forward";
    return "Poalji dalje";
  case M_MAIL:
    // return "Mail";
    return "Poruka";
  case M_SHOWFULLHEADERS:
    //return "Show full headers";
    return "Pokazi cijela zaglavlja";
  case M_HIDEFULLHEADERS:
    //return "Hide full headers";
    return "Sakri cijela zaglavlja";
  case M_MAILTOOBIG:
    // return "Mail is too big to be shown. Click here to download it.";
    return "Poruka je predugacka za pokazati. Kliknite ovdje da je skinete na kompjuter.";
  case M_REPLYTOALL:
    //return "Reply to all";
    return "Odgovori svima";
  case M_MOVETHISTOTRASH:
    //return "Move to trash";
    return "Baci u kantu";
  case M_CHARSETWARNING:
    //return sprintf("Warning! Unable to decode the characterset \"%s\". Message is presented undecoded.",@arg);
    return sprintf("Upozorenje! Ne mogu dekodirati jezik \"%s\". Poruka nije dekodirana.",@arg);

  case M_ADDRESSBOOKTITLE: 
    //return("Address Book");         
    return("Adresar");
  case M_ADDRESSBOOK:
    //return("Address book...");
    return("Adresar...");
  case M_INDEXNAMERECIPIENT:
    //return("Intex name (click to add as recipient)");
    return("Index ime (kliknite da stavite kao primaoca)");
  case M_INDEXNAMEEDIT:
    //return("Index name (click to edit)");
    return("Index ime (kliknite za izmjene)");
  case M_ADDRESS:
    //return("Address");
    return("Adresa");
  case M_NOADDRESSES:
    //return("No addresses");
    return("Nema adresa");
  case M_NEWADDRESS:
    //return("New address...");
    return("Nova adresa...");
  case M_EDITADDRESS:
    //return("Edit address");
    return("Izmijeni adresu");
  case M_ADDADDRESS:
    //return("Add to address book");
    return("Dodaj u adresar");
  case M_INDEXNAME:
    //return("Index name");
    return("Index ime");
  case M_ADDRESSFORMAT:
    //return("Address(es), comma separated");
    return("Adresa(e), odvojene zarezom");
  case M_SAVEADDRESS:
    //return("Save and use");
    return("Sacuvaj i koristi");
  case M_DELETEADDRESS:
    //return("Delete address");
    return("Izbrii adresu");
  case M_CANCELADDRESS:
    //return("Cancel");
    return("Obustavi");
  case M_CANNOTIMPORT:
    //return("Cannot import this addressbook, since its\nformat is not recognized.");
    return("Ne mogu importovani adresar, \nformat nije poznat.");
  case M_IMPORTADDRESSBOOKTITLE:
    //return("Import address book");
    return("Importujte adresar");
  case M_UPLOADADDRESSBOOK:
    //return("Upload a Pine or exported Netscape (.ldif) address book");
    return("Ucitaj Pine ili exportirani Netscape (.ldif) adresar");
  case M_PINELOCATION:
    //return("The Pine address book is often in ~/.addressbook");
    return("Pine adresar se cesto zove ~/.addressbook");
  case M_UPLOADANDIMPORT:
    //return("Upload and import");
    return("Ucitavanje i import");
  case M_IMPORTADDRESSBOOK:
    // return("Import address book...");
    return("Importuj adresar...");
  case M_GLOBALADDRESSES:
    return("Zajednicke adrese:");
  case M_INSERTMARKEDADDRESSES:
    //return("Insert marked");
    return("Ubaci markirane");
  case M_DELETEMARKEDADDRESSES:
    //return("Delete marked");
    return("Izbrii markirane");

  case M_LDAPTITLE:
    //return("LDAP addresses");
    return("LDAP adrese");
  case M_LDAP:
    //return("LDAP search");
    return("LDAP-pretraga");
  case M_SEARCHLDAP:
    //return("Search LDAP");
    return("Trai LDAP");
  case M_NAMECONT:
    //return("Search name containing:");
    return("Trai ime koje sadri:");
  case M_OU:
    //return("OU");
    return("OU");

 case M_MAILNOTIFYWINDOW:
   //return("Mail notification...");
    return("Obavijest o novoj poruci...");
  case M_GETNEWMAIL:
    //return("Get new mail...");
    return("Na novu poruku...");

  case M_SEARCHMAILTITLE:
    //return("Search mail");
    return("Trai poruke");
  case M_SEARCHMAIL:
    //return("Search...");
    return("Trai...");
  case M_SEARCHMAILBOX:
    //return(sprintf("Find mail in mailbox <b>%s</b> which contains",arg[0]));
    return(sprintf("Trai poruke u <b>%s</b> koje sadre",arg[0]));
  case M_SEARCHANYWHERE:
    //return("anywhere");
    return("bilo gdje");
  case M_SEARCHFROMFIELD:
    //return("in 'from' field");
    return("u 'alje'-polju");
  case M_SEARCHTOFIELD:
    //return("in 'to' field");
    return("u 'prima'-polju");
  case M_SEARCHSUBJECT:
    //return("in subject");
    return("u naslovu");
  case M_SEARCHBODY:
    //return("in mail body");
    return("u sadraju poruke");
  case M_SEARCHAND:
    //return("AND");
    return("I");
  case M_SEARCHSHOWINGMAIL:
    //return("Showing mail with ");
    return("Pokai poruke sa ");

  case M_YES:
    //return "Yes";
    return "Da";
  case M_NO:
    //return "No";
    return "Ne";
  case M_DIALOGOK:
    // return "OK";
    return "OK";
  case M_DIALOGCANCEL:
    // return "Cancel";
    return "Obustavi";
   
  }
  return 0;
}
