/*

  imho_dutch.pike v0.1 for IMHO v0.97.1 (dutch language file)

  Copyright  
  Martijn Damen <damen@scintilla.utwente.nl> 1999

  IMHO:

  Copyright  
  Stefan Wallstrm <stewa@lysator.liu.se>
  & Bosse Lincoln <lincoln@lysator.liu.se> 1998-1999
  
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  See the file "LICENSE" for details.

*/

// Messages
//
//login
#define M_LOGIN 1
#define M_PASSWORD 2
#define M_NOLOGIN 3
#define M_IMAPERROR 10
#define M_SMTPERROR 11
#define M_SAVEDUSERINTERFACE 12
#define M_USERINTERFACE 13
#define M_LOGIN_OK 14
// page header
#define M_NEWMAIL 50
#define M_MAILBOX 51
#define M_MAILBOXES 52
#define M_FILES 53
#define M_PREFS 54
#define M_LOGOUT 55
#define M_CURRMAILBOX 56
#define M_CHECKACTIVEMAILBOXES 57
// compose
#define M_SEND 100
#define M_CANCELSEND 101
#define M_SENDMOREFILES 102
#define M_COMPOSEMAIL 103
#define M_SPELLCHECK 104
#define M_DONTSAVEMAIL 105
#define M_ADDFILEASATTACHMENT 106
#define M_NOATTACHMENTS 107
#define M_ADDATTACHMENT 108
#define M_REMOVEMARKEDATTACHMENTS 109
#define M_UPLOADATTACHMENT 110
#define M_ADDMARKEDTOATTACHMENTS 111
#define M_UPLOADTOATTACHMENTS 112
#define M_BACKTOCOMPOSE 113
#define M_NOATTACHFILES 114
#define M_ATTACHMENTSHEADER 115
#define M_SENDSAVEFAILED 116
#define M_SENDNORECV 117
#define M_DSN_DELAY 118
#define M_DSN_SUCCESS 119
// mailindex
#define M_DELETEMARKED 200
#define M_MOVEMARKED 201
#define M_SELECTMBOX 202
#define M_CHECKNEWMAIL 203
#define M_MAILSHOWN 204
#define M_BACKN 205
#define M_FORWARDN 206
#define M_NUMBER 207
#define M_DELETEMARKEDP 208
#define M_DELETEMARKEDNONE 209
#define M_CHANGESORTORDER 210
#define M_MOVETOTRASH 211
#define M_DELETEALLTRASH 212
#define M_NOMAILS 213
// mailboxlist
#define M_MBOXNAME 300
#define M_DELETEMARKEDMBOX 301
#define M_CREATEMBOX 302
#define M_NEWMBOXNAME 303
#define M_MBOXREMOVEP 350
#define M_MBOXMARKONE 351
#define M_NEWMBOXNONAME 352
#define M_CREATEMBOXERROR 353
#define M_INBOX 354
#define M_PREVIOUS_LEVEL 355
#define M_FOLDER_PATH 356
// files
#define M_FILENAME 400
#define M_SIZE 401
#define M_MIMETYPE 402
#define M_DELETEMARKEDFILES 403
#define M_UPLOAD 404
#define M_AVAILSPACE 405
#define M_WINDOWSBUG 406
#define M_NOFILES 407
// preferences
#define M_PNAME 500
#define M_PMAILADDRESS 501
#define M_PMAILPATH 502
#define M_PINCLUDEMAIL 503
#define M_PQUOTEPREFIX 504
#define M_PSIGNATURE 505
#define M_PINACTIVELOGOUT 506
#define M_PSAVEANDUSE 550
#define M_PVISIBLEMESSAGES 507
#define M_PSORTORDER 508
#define M_PSORTORDERS 509
#define M_PTRASHFOLDER 510
#define M_PSENTFOLDER 511
#define M_PDEFAULTBCC 512
#define M_PSAVEATTACHMENTS 513
#define M_PLANGUAGE 514
#define M_PUSERINTERFACE 515
#define M_PINBOXES 516
#define M_PCOMMASEPARATED 517
// logout
#define M_LOGOUTMSG 600
#define M_LOGGEDOUT 601
// dialog
#define M_QUESTION 700
#define M_INFO 701
// readmail
#define M_REPLY 800
#define M_READPREV 801
#define M_READNEXT 802
#define M_ATTACHMENTLINK 803
#define M_MAILMISSING 804
#define M_MAILMISSINGBACK 805
#define M_DELETE 806
#define M_FORWARD 807
#define M_MAIL 808
#define M_SHOWFULLHEADERS 809
#define M_HIDEFULLHEADERS 810
#define M_MAILTOOBIG 811
#define M_REPLYTOALL 812
#define M_MOVETHISTOTRASH 813
#define M_CHARSETWARNING 814
//spellcheck
#define M_SPELLDONE 900
#define M_SPELLPREV 901
#define M_SPELLNEXT 902
#define M_SPELLCHANGETO 903
#define M_SPELLSUGGESTIONS 904
// mailheaders
#define M_FROM 1000
#define M_TO 1001
#define M_CC 1002
#define M_BCC 1003
#define M_SUBJECT 1004
#define M_ATTACHMENTS 1005
#define M_TIME 1006
#define M_DATE 1007
// table heads
#define M_MARKFLAG 1100
#define M_NEWFLAG 1101
#define M_ANSWEREDFLAG 1102
// address book
#define M_ADDRESSBOOKTITLE 1200
#define M_ADDRESSBOOK 1201
#define M_INDEXNAMERECIPIENT 1202
#define M_INDEXNAMEEDIT 1203
#define M_ADDRESS 1204
#define M_NOADDRESSES 1205
#define M_NEWADDRESS 1206
#define M_EDITADDRESS 1207
#define M_ADDADDRESS 1208
#define M_INDEXNAME 1209
#define M_ADDRESSFORMAT 1210
#define M_SAVEADDRESS 1211
#define M_DELETEADDRESS 1212
#define M_CANCELADDRESS 1213
#define M_CANNOTIMPORT 1214
#define M_IMPORTADDRESSBOOKTITLE 1215
#define M_UPLOADADDRESSBOOK 1216
#define M_PINELOCATION 1217
#define M_UPLOADANDIMPORT 1218
#define M_IMPORTADDRESSBOOK 1219
//ldap support
#define M_LDAPTITLE 1300
#define M_LDAP 1301
#define M_SEARCHLDAP 1302
#define M_NAMECONT 1303
#define M_OU 1304
// general
#define M_YES 2000
#define M_NO 2001
#define M_DIALOGOK 2002
#define M_DIALOGCANCEL 2003

string imho_lang() {
  return "nederlands";
}

string imho_lang_short() {
  return "nl";
}

string imho_lang_charset() {
  return "iso-8859-1";
}

string imho_lang_replacement_string() {
  //this is a UNICODE string that MUST be encodable by the local charset
  return "";
}

string msg(object sessobj,int m,array arg) {
  switch(m) {
    
    // Login page
    
  case M_LOGIN:
    //return "Login:";
    return "Login:";
  case M_PASSWORD:
    //return "Password:";
    return "Paswoord:";
  case M_NOLOGIN:
    //return "<b>Could not log in:</b> Wrong login or password. Try again. ";
    return "<b>Inloggen mislukt:</b> Verkeerde inlognaam of paswoord. Probeer het opnieuw. ";
  case M_IMAPERROR:
    //return "There was a problem talking to the mail (IMAP) server. Please contact the administrator.";
    return "Er zijn problemen met het contact met de email- (IMAP) server. Neem contact op met de systeembeheerder.";
  case M_SMTPERROR:
    //return "There was a problem talking to the outgoing mail (SMTP) server. The recipient of the mail might not exist.";
    return "Er heeft zich een probleem voorgedaan met de uitgaande email-server(SMTP) De ontvanger van de email bestaat mischien niet.";
  case M_SAVEDUSERINTERFACE:
    //return "From preferences";
    return "Van instellingen";
  case M_USERINTERFACE:
    //return "User interface:";
    return "Gebruikers interface:";
  case M_LOGIN_OK:
    //return "OK";
    return "OK";

  case M_NEWMAIL:
    //return "Compose";
    return "Opstellen";
  case M_MAILBOX:
    //return sprintf("Mailbox: %s",@arg);
    return sprintf("Mailbox: %s",@arg);
  case M_MAILBOXES:
    //return "Mailboxes";
    return "Mailboxes";
  case M_FILES:
    //return "Files";
    return "Bestanden";
  case M_PREFS:
    //return "Preferences";
    return "Instellingen";
  case M_LOGOUT:
    //return "Logout";
    return "Uitloggen";
  case M_CURRMAILBOX:
    // return "Current Mailbox";
    return "Huidige Mailbox";
  case M_CHECKACTIVEMAILBOXES:
    // return "Check active mailboxes";
    return "Controleer actieve mailboxen";

  case M_FROM:
    //return "From";
    return "Van";
  case M_TO:
    //return "To";
    return "Aan";
  case M_CC:
    //return "Cc";
    return "Cc";
  case M_BCC:
    //return "Bcc";
    return "Bcc";
  case M_SUBJECT:
    //return "Subject";
    return "Onderwerp";
  case M_ATTACHMENTS:
    //return "Attachments";
    return "Bijlagen";
  case M_TIME:
    //return "Time";
    return "Tijd";
  case M_DATE:
    //return "Date";
    return "Datum";
    
  case  M_MARKFLAG:
    //return "M";
    return "M";
  case M_NEWFLAG:
    //return "N";
    return "N";
  case M_ANSWEREDFLAG:
    //return "A";
    return "A";
    
    
  case M_SEND:
    //return "Send";
    return "Versturen";
  case M_CANCELSEND:
    //return "Cancel";
    return "Afbreken";
  case M_SENDMOREFILES:
    //return "Select files to send. Press 'Ctrl' to toggle-select multiple files.";
    return "Selecteer de bestanden die verstuurd moeten worden. Druk 'Ctrl' om meerdere bestanden te selecteren.";
  case M_COMPOSEMAIL:
    //return "Compose mail";
    return "Nieuw bericht opstellen";
  case M_SPELLCHECK:
    return "Spellingscontrole";
  case M_DONTSAVEMAIL:
    //return "Do not save this mail.";
    return "Bewaar dit bericht niet.";
  case M_ADDFILEASATTACHMENT:
    //return "Add file as attachment";
    return "Voeg bestand bij als bijlage";
  case M_NOATTACHMENTS:
    //return "No attachments";
    return "Geen bijlagen";
  case M_ADDATTACHMENT:
    //return "Add attachment...";
    return "Voeg bijlage toe...";
  case M_REMOVEMARKEDATTACHMENTS:
    //return "Remove marked attachments";
    return "Verwijder gemarkeerde berichten";
  case M_UPLOADATTACHMENT:
    //return "Upload attachment";
    return "Upload bijlage";
  case M_ADDMARKEDTOATTACHMENTS:
    //return "Add marked to attachments";
    return "Voeg gemarkeerde items toe als bijlage";
  case M_UPLOADTOATTACHMENTS:
    //return "Upload to attachments";
    return "Upload naar bijlagen";
  case M_BACKTOCOMPOSE:
    //return "Back to compose";
    return "Terug naar opstellen";
  case M_NOATTACHFILES:
    //return "No files";
    return "Geen bestanden";
  case  M_ATTACHMENTSHEADER:
    return "Bijlage";
  case M_SENDSAVEFAILED:
    //return "Mail was sent successfully, but save in folder failed.";
    return "Bericht met succes verstuurd, maar bewaren in map mislukt.";
  case M_SENDNORECV:
    //return "You must specify a recipient of the mail.";
    return "U moet een ontvanger aangeven.";
  case M_DSN_DELAY:
    //return("Report delayed delivery.");
    return "Rapporteer vertraagd afleveren.";
  case M_DSN_SUCCESS:
    // return("Report successful delivery.");
    return "Rapporteer succesvol afleveren.";

  case M_DELETEMARKED:
    //return "Delete marked";
    return "Verwijder gemarkeerde berichten";
  case M_MOVEMARKED:
    //return "Move marked to";
    return "Verplaats gemarkeerde naar";
  case M_SELECTMBOX:
    //return "(Select a mailbox)";
    return "(Selecteer een mailbox)";
  case M_CHECKNEWMAIL:
    //return "Check for new mail";
    return "Controleer op nieuwe berichten";
  case M_MAILSHOWN:
    // return sprintf("Mail %d-%d of %d", @arg);
    return sprintf("Bericht %d-%d av %d", @arg);
  case M_BACKN:
    //return sprintf("[<< Prev %d]", @arg);
    return sprintf("[<< Vorige %d]", @arg);
  case M_FORWARDN:
    // return sprintf("[Next %d >>]", @arg);
    return sprintf("[Volgende %d >>]", @arg);
  case M_NUMBER:
    return "#";
  case M_DELETEMARKEDP:
    //sprintf("Are you sure you want to delete the %d marked message(s)?", 
    return 
      sprintf("Weet u zeker dat u de %d geselecteerde berichten wilt verwijderen?", 
	      @arg);
  case M_DELETEMARKEDNONE:
    //return "Please mark some messages first.";
    return "Selecteer eerst een bericht.";
  case M_CHANGESORTORDER:
    //return "Change sort order";
    return "Verander sorteervolgorde";
  case M_MOVETOTRASH:
    //return "Move marked to trash";
    return "Verplaats geselecteerden naar de prullebak";
  case M_DELETEALLTRASH:
    //return "Delete ALL trash";
    return "Verwijder alle berichten uit de prullebak";
  case M_NOMAILS:
    // return "[No mail]";
    return "[Geen berichten]";

  case M_MBOXNAME:
    //return "Mailbox";
    return "Mailbox";
  case M_DELETEMARKEDMBOX:
    //return "Delete marked";
    return "Verwijder geselecteerde";
  case M_CREATEMBOX:
    //return "Create a new mailbox";
    return "Maak een nieuwe mailbox";
  case M_NEWMBOXNAME:
    //return "(Name)";
    return "(Naam)";
  case M_MBOXREMOVEP:
    //return "Are you sure you want to delete the following mailboxes?";
    return "Weet u zeker dat u de volgende mailboxen wilt verwijderen?";
  case M_MBOXMARKONE:
    //return "Mark at least one mailbox.";
    return "Selecteer minstens n mailbox.";    
  case M_NEWMBOXNONAME:
    // return "Type in a name first.";
    return "Geef eerst een naam op..";
  case M_CREATEMBOXERROR:
    //return "Failed to create mailbox. The name may be illegal or the mailbox may exist.";
    return "Mailbox aanmaken mislukt. De mailbox bestaat mischien al of de naam is incorrect.";
  case M_INBOX:
    //return "Inbox";
    return "Inbox";
  case M_PREVIOUS_LEVEL:
    //return "[Previous level]";
    return "[Voorgaand niveau]";
  case M_FOLDER_PATH:
    //return "Path:";
    return "Pad:";
	
  case M_FILENAME:
    //return "Filename";
    return "Bestandsnaam";
  case M_SIZE:
    //return "Size";
    return "Grootte";
  case M_MIMETYPE:
    //return "Type";
    return "Type";
  case M_DELETEMARKEDFILES:
    //return "Delete marked";
    return "Verwijder geselecteerde";
  case M_UPLOAD:
    //return "Upload";
    return "Upload";
  case M_AVAILSPACE:
    //return sprintf("You have %d Kb available for upload.",@arg);
    return sprintf("U heeft %d Kb ruimte beschikbaar voor uploaden.",@arg);
  case M_WINDOWSBUG :
    //return "Windowsusers: Due to a bug in some browsers, filenames can be crippled. Avoid this by replacing the last \\ with \\\\ before pressing 'Upload'.";
    return "Windowsgebruikers: Door een fout in sommige browsers kunnen bestandsnamen verminkt zijn. Voorkom dit door de laatste '\\' te vervangen door '\\\\' voor u op 'Upload' drukt.";
  case M_NOFILES:
    //return "You have no uploades files.";
    return "U heeft geen bestanden geuploaded.";

  case M_PNAME:
    //return "Name";
    return "Naam";
  case M_PMAILADDRESS:
    //return "Mail address";
    return "Email adres";
  case M_PMAILPATH:
    //return "Mail searchpath";
    return "Email zoekpad";
  case M_PINCLUDEMAIL:
    //return "Include mail when replying";
    return "Voeg bericht bij bij beantwoorden";
  case M_PQUOTEPREFIX :
    //return "Prefix";
    return "Prefix";
  case M_PSIGNATURE:
    //return "Signature";
    return "Handtekening";
  case M_PINACTIVELOGOUT:
    //return "Inactive logout (minutes)";
    return "Uitlogtijd bij inactiviteit (in minuten)";
  case M_PSAVEANDUSE:
    //return "Save and use";
    return "Bewaar en gebruik";
  case M_PVISIBLEMESSAGES:
    //return "Messages shown in mailbox";
    return "Berichten weergeven in mailbox";
  case M_PSORTORDER:
    //return "Mail sort order";
    return "Sorteervolgorde";
  case M_PSORTORDERS:
    //return ([ "forward": "forward", "backward":"backward"])[arg[0]];
    return ([ "forward": "vooruit", "backward":"terug"])[arg[0]];
  case M_PTRASHFOLDER:
    //return "Trash folder";
    return "Prullebak";
  case M_PSENTFOLDER:
    //return "Sent mail folder";
    return "Verzonden mail";
  case M_PDEFAULTBCC:
    //return "Default Bcc address";
    return "Standaard Bcc adres";
  case M_PSAVEATTACHMENTS:
    //return "Save attachments";
    return "Bewaar bijlagen";
  case M_PLANGUAGE:
    //return "Language";
    return "Taal";
  case M_PUSERINTERFACE:
    //return "User interface";
    return "Gebruikers weergave";
  case M_PINBOXES:
    //return "Inboxes";
    return "Inkomende mail";
  case M_PCOMMASEPARATED: 
    //return "(Comma separated list of mailboxes)";
    return "(Kommagescheiden lijst, \"Mailbox1, Mailbox2, ...\")";

  case M_SPELLDONE:
    //return "Done";
    return "Klaar";
  case M_SPELLPREV:
    //return "Previous";
    return "Voorgaande";
  case M_SPELLNEXT:
    //return "Next";
    return "Volgende";
  case  M_SPELLCHANGETO:
    //return "Change to";
    return "verander in";
  case M_SPELLSUGGESTIONS:
    //return "Suggestions";
    return "Suggesties";

  case M_LOGOUTMSG:
    //return "You are logged out. Close this browser window to make sure no one can read your mail.<br><br>Reload this page to login.";
    return "U bent nu uitgelogd. Sluit dit window om te voorkomen dat iemand uw email kan lezen. Ververs deze pagina om opnieuw in te loggen.";
  case M_LOGGEDOUT:
    //return "Logged out";
    return "Uitgelogged";

  case M_QUESTION:
    //return "Question"; 
    return "Vraag";
  case M_INFO:
    //return "Info"; 
    return "Info";

  case M_REPLY:
    //return "Reply";
    return "Beantwoorden";
  case M_READPREV:
    //return "Read previous";
    return "Lees voorgaande";
  case M_READNEXT:
    //return "Read next";
    return "Lees volgende";
  case M_ATTACHMENTLINK:
    //return sprintf("%sattachment of type %s",@arg);
    return sprintf("%sbijlage van het type %s",@arg);
  case M_MAILMISSING:
    //return "<b>Error:</b> Failed to fetch mail. Try again. <br>";
    return "<b>Error:</b> Mail ophalen mislukt. Probeer opnieuw.<br>";
  case M_MAILMISSINGBACK:
    //return "Back";
    return "Terug";
  case M_DELETE:
    //return "Delete";
    return "Verwijder";
  case M_FORWARD:
    //return "Forward";
    return "Doorsturen";
  case M_MAIL:
    // return "Mail";
    return "bericht";
  case M_SHOWFULLHEADERS:
    //return "Show full headers";
    return "Laat alle berichtinfo zien";
  case M_HIDEFULLHEADERS:
    //return "Hide full headers";
    return "Verberg berichtinfo";
  case M_MAILTOOBIG:
    // return "Mail is too big to be shown. Click here to download it.";
    return "Het bericht is te groot om weer te geven. Klik hier om het bericht te downloaden.";
  case M_REPLYTOALL:
    //return "Reply to all";
    return "Beantwoord aan allen";
  case M_MOVETHISTOTRASH:
    //return "Move to trash";
    return "Verplaats naar Prullebak";
  case M_CHARSETWARNING:
    //return sprintf("Warning! Unable to decode the characterset \"%s\". Message is presented undecoded.",@arg);
    return sprintf("Waarschuwing! Decoderen van de karakterset \"%s\" mislukt. Bericht is ongedecodeerd weergegeven.",@arg);

  case M_ADDRESSBOOKTITLE: 
    //return("Address Book");         
    return("Adresboek");
  case M_ADDRESSBOOK:
    //return("Address book...");
    return("Adresboek...");
  case M_INDEXNAMERECIPIENT:
    //return("Intex name (click to add as recipient)");
    return("Indexnaam (klik om toe te voegen als ontvanger)");
  case M_INDEXNAMEEDIT:
    //return("Index name (click to edit)");
    return("Indexnaam (klik om te bewerken)");
  case M_ADDRESS:
    //return("Address");
    return("Adres");
  case M_NOADDRESSES:
    //return("No addresses");
    return("Geen adressen");
  case M_NEWADDRESS:
    //return("New address...");
    return("Nieuw adres...");
  case M_EDITADDRESS:
    //return("Edit address");
    return("Bewerk adres");
  case M_ADDADDRESS:
    //return("Add to address book");
    return("Voeg toe aan adresboek");
  case M_INDEXNAME:
    //return("Index name");
    return("Indexnaam");
  case M_ADDRESSFORMAT:
    //return("Address(es), comma separated");
    return("Adres(sen), gescheiden door komma's");
  case M_SAVEADDRESS:
    //return("Save and use");
    return("Bewaar en gebruik");
  case M_DELETEADDRESS:
    //return("Delete address");
    return("Verwijder adres");
  case M_CANCELADDRESS:
    //return("Cancel");
    return("Afbreken");
  case M_CANNOTIMPORT:
    //return("Cannot import this addressbook, since its\nformat is not recognized.");
    return("Kan dit adresboek niet importeren, het \n formaat is onbekend.");
  case M_IMPORTADDRESSBOOKTITLE:
    //return("Import address book");
    return("Importeer adresboek");
  case M_UPLOADADDRESSBOOK:
    //return("Upload a Pine or exported Netscape (.ldif) address book");
    return("Upload een Pine of geexporteerd Netcape (.ldif) adresboek");
  case M_PINELOCATION:
    //return("The Pine address book is often in ~/.addressbook");
    return("Het Pine adresboek staat vaak in ~/.addressbook");
  case M_UPLOADANDIMPORT:
    //return("Upload and import");
    return("Upload en importeer");
  case M_IMPORTADDRESSBOOK:
    // return("Import address book...");
    return("Importeer adresboek...");

  case M_LDAPTITLE:
    //return("LDAP addresses");
    return("LDAP adressen");
  case M_LDAP:
    //return("LDAP");
    return("LDAP");
  case M_SEARCHLDAP:
    //return("Search LDAP");
    return("Zoek LDAP");
  case M_NAMECONT:
    //return("Search name containing:");
    return("Zoek naam met:");
  case M_OU:
    //return("OU");
    return("OU");

  case M_YES:
    //return "Yes";
    return "Ja";
  case M_NO:
    //return "No";
    return "Nee";
  case M_DIALOGOK:
    // return "OK";
    return "OK";
  case M_DIALOGCANCEL:
    // return "Cancel";
    return "Afbreken";
   
  }
  return 0;
}





